---
title: StorageQuota.requestPersistentQuota
slug: Web/API/StorageQuota/requestPersistentQuota
tags:
  - Property
  - Quota Management API
  - Reference
  - StorageQuota
---
<p>{{APIRef("Quota Management API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>requestPersistentQuota()</code></strong> property of the {{domxref("StorageQuota")}} interface requests persistent storage for the requesting application and returns a {{jsxref('Promise')}} to an instance of {{jsxref('StorageInfo')}}.</span> There is no guarantee that the requested space will be granted by the user agent.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">StorageQuota.requestPersistentQuota().then(function(storageInfo) { ... })</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A reference to a {{jsxref('StorageInfo')}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Quota Management','#widl-StorageQuota-requestPersistentQuota-Promise-unsigned-long-long-newQuota','requestPersistentQuota()')}}</td>
   <td>{{Spec2('Quota Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StorageQuota.requestPersistentQuota")}}</p>
</div>
